From 6ac13c4f5f3a85c2748ecf50b0762b58be64962e Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Mar 14 2018 09:22:40 +0000
Subject: [PATCH 2/4] Replace react-timeago with FormattedRelative from react-intl


---

diff --git a/js/app/components/CobWeb/index.js b/js/app/components/CobWeb/index.js
index 9544174..fa20cfc 100644
--- a/js/app/components/CobWeb/index.js
+++ b/js/app/components/CobWeb/index.js
@@ -1,5 +1,5 @@
 import React from 'react';
-import TimeAgo from 'react-timeago';
+import { FormattedRelative } from 'react-intl';
 //import './cobweb.css';
 import ArchivedIcon from './archived.png';
 import CobWebIcon from './cobweb.png';
@@ -19,7 +19,7 @@ export default class CobWeb extends React.Component {
         msg = (
             <span>
                 <span>Cobweb alert!  This hub was last active </span>
-                <TimeAgo date={this.props.mtime} />
+                <FormattedRelative value={new Date(this.props.hub.mtime)} />
             </span>
             );
     } else {
diff --git a/js/app/components/feed/Markup.js b/js/app/components/feed/Markup.js
index f5a50f2..09b6f30 100644
--- a/js/app/components/feed/Markup.js
+++ b/js/app/components/feed/Markup.js
@@ -1,5 +1,5 @@
 import React from 'react';
-import TimeAgo from 'react-timeago';
+import { FormattedRelative } from 'react-intl';
 
 
 export default class Markup extends React.Component {
@@ -32,7 +32,7 @@ export default class Markup extends React.Component {
         <span dangerouslySetInnerHTML={this.createMarkup(this.props.item)}></span>
         {timestamp &&
           <small className="text-muted ml-3">
-            <TimeAgo date={timestamp * 1000} />
+            <FormattedRelative value={new Date(timestamp * 1000)} />
           </small>
         }
         {submessages.length !== 0 &&
